import { jsx } from "react/jsx-runtime";
import { TokenEVER as TokenEVER$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenEVER = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "EVER", "data-name": "TokenEVER", ...props, children: /* @__PURE__ */ jsx(TokenEVER$1, { variant }) });
  }
);
TokenEVER.displayName = "TokenEVER";
Object.assign(TokenEVER, { isGdsIcon: true });
export {
  TokenEVER
};
